Tue Mar 24 11:17:46 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* categories:  Add cygmon.

Tue Mar 24 17:10:46 1998  Stu Grossman  <grossman@bhuna.cygnus.co.uk>

	* configure:  Regenerate with autoconf 2.12.1 to fix shell issues for
	NT native builds.

Fri Mar  6 16:59:53 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* categories: Add category "sim".  Already in PRMS database.

Mon Aug 18 14:11:13 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to 3.104.  I forgot to modify this for
	3.103.

Tue Jul 29 20:36:47 1997  Ken Raeburn  <raeburn@cygnus.com>

	* aclocal.m4 (AC_LISPDIR): Don't use the word "checking" in
	AC_MSG_CHECKING string.

Thu Jul 17 10:42:02 1997  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Makefile.in:  Use the modern standard file system layout
	(libexec, share, etc. instead of putting non-libraries in lib).
	* s-usage.texi, send-pr.texi: Clean up a few formatting errors,
	duplicated text, typos, etc. Add a few missing examples.  Document
	the new file system layout.

Tue Jul 15 13:45:39 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	Fix from "Jonathan I. Kamens" <jik@cam.ov.com>.
	Make it possible to separately install the architecture-dependent
	pieces for the main server on one machine, and the independent
	pieces for the clients.
	* Makefile.in (SEND_PR_INSTALL_ARCH_DEP): Define.
	(install-arch-dep, install-tools-arch-dep, install-prms-arch-dep):
	New dependencies.
	(install-norm-arch-indep, install-norm-arch-dep): New rules.
	(install-norm): Moved from here.

	Fix from "Jonathan I. Kamens" <jik@cam.ov.com>.
	* send-pr-el.in (send-pr:submit-pr): If the PR has already sent,
	prompt the user before agreeing to resend it.
	(send-pr:send-pr-mode): Declare SEND-PR:::SENT and set it to nil.

Fri May 16 18:30:29 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to version 3.102.

Tue May  6 16:06:44 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr.sh: Don't trap on a SIGINT, which can come from emacs
	when it gets a ^G, and isn't a sign of a problem.

Thu Mar 20 00:04:18 1997  Geoffrey Noer  <noer@pizza.cygnus.com>

	* Makefile.in, categ.texi, send-pr.texi: update company
	information (name change to Cygnus Solutions, new location,
	phone)

Sun Dec 29 02:17:58 1996  Angela Marie Thomas (angela@cygnus.com)

	* send-pr.sh: make sure DATADIR is set correctly when
	GCC_EXEC_PREFIX is used.

Mon Dec  2 14:30:17 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to version 3.101.

Thu Nov  7 06:32:37 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr-el.in (prms::indent): Fix to be 17, not 16, so we don't
	have the values in the wrong column. 

Thu Sep  5 14:35:55 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to version 3.99.

Wed Aug 21 17:22:51 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* configure.in: If $prefix is NONE, use $ac_default_prefix for
	setting of PRMS_ROOT.
	* configure: Regenerate.

	* aclocal.m4: Use $ac_default_prefix if prefix is set to NONE.

Tue Aug 20 10:19:53 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr-el.in (prms::get-config): Catch when RET is a null
	string, replacing it with nil, to fix functioning under emacs18.

	Fix from "Jonathan I. Kamens" <jik@cam.ov.com>.
	* send-pr-el.in (send-pr::insert-template): Use call-process
	instead of shell-command, to avoid "Mark set" msg in minibuf.

	Fix pointed out by "Jonathan I. Kamens" <jik@cam.ov.com>.
	* send-pr-el.in (send-pr::start-up): Fix logic for use of
	MAIL-DEFAULT-REPLY-TO, to always get REPLYTO if it hasn't been set
	to a string.

Thu Aug  8 17:21:27 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to version 3.98.

	* Makefile.in (send-pr.info): Depend on version.texi.
	(all): Depend upon version.texi.
	(install-prms-dist): Install from the current directory.

Wed Jun 26 12:16:13 1996  Jason Molenda  (crash@godzilla.cygnus.co.jp)

	* Makefile.in (VPATH, INSTALL, INSTALL_PROGRAM, INSTALL_DATA,
	bindir, libdir, datadir, mandir, infodir, includedir): Use
	autoconf-set values.
	(docdir): Removed.
	* configure.in (AC_PREREQ): autoconf 2.5 or higher.
	(AC_PROG_INSTALL): Added.
	* configure: Rebuilt.
	* aclocal.m4 (LISPDIR): default is $(prefix)/share/emacs/...

Fri May 10 12:40:49 1996  Tom Tromey  <tromey@nellie.cygnus.com>

	* install-sid.sh: Added location-independence code.

	* Makefile.in (exec_prefix): Set to @exec_prefix@.

	* send-pr.sh: Added location-independence code.

Wed May  8 09:12:13 1996  Tom Tromey  <tromey@snuffle.cygnus.com>

	* Makefile.in (all): Depend on send-pr.el.

Tue May  7 19:28:57 1996  Gordon Irlam  <gordoni@snuffle.cygnus.com>

	* Makefile.in (all): Don't build or install send-pr.elc.

Wed Mar  6 12:52:07 1996  J.T. Conklin  <jtc@beauty.cygnus.com>

	* send-pr.man: Changed -v to -V.

Tue Mar  5 12:59:30 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* aclocal.m4: Check for .../share/emacs/site-lisp first.
	* configure: Regenerated with autoconf 2.7.

Tue Feb 20 17:46:13 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (TEXINPUTS): Add definition.
	(send-pr.dvi): Use it.

Tue Feb 13 16:06:31 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (install-prms-dist): Only try to install the info
	files if they exist.
	(mostlyclean): Also delete *.cps.
	(distclean): Also delete TAGS and version.texi.
	(realclean): Don't delete *info or version.texi.
	(install-prms-dist): Also install version.texi.

Wed Nov  8 18:05:29 1995  Brendan Kehoe  <brendan@beauty.cygnus.com>

	* send-pr-el.in (prms::patch-exec-path): Use replace-match inside
	a while loop instead of replace-string.

Fri Oct 13 17:47:28 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to 3.97.

Thu Sep 14 14:50:53 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to 3.96.

Tue Sep  5 16:14:51 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr-el.in (send-pr::start-up): Use the REPLYTO env setting
	if mail-default-reply-to is t.

Thu Aug 31 11:58:05 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr-el.in (send-pr::fields): Fix Class's default value to
	reference DEFAULT_CLASS, not DEFAULT_CONFIDENTIAL.

Mon Aug 28 16:52:46 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr.sh: New argument -s/--severity, to let you specify the
	severity on the command line.  New argument -c/--cc, to give a Cc:
	header.

Thu Aug  3 13:32:39 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to 3.95.

Wed Jul 26 18:26:31 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (install-prms-dist): Also put in INSTALL and MANIFEST.

Mon Jul 17 10:11:11 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (VERSION): Up to 3.93.

	* Makefile.in (prefix): Use @prefix@, not /usr/local, for the default.

Thu Jul 13 13:02:52 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr-el.in (prms::position-on-field): Add new arg QUIET.
	Only give the error if QUIET is nil.
	(prms::field-contents): Pass T to position-on-field.

	* Makefile.in (VERSION): Update to 3.92.

Wed Jul 12 12:26:49 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (EMACS): Define variable to use ../emacs19/src/emacs
	if it's there.
	(send-pr.elc): Use that instead of just `emacs'.

Fri Jul  7 13:43:48 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* aclocal.m4: Use AC_MSG_* for AC_LISPDIR.
	* configure: Regenerate.

Thu Jul  6 19:22:53 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* send-pr-el.in (prms::get-config): Also match `.:' for NetBSD.

Mon Jun 12 08:32:57 1995  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (stamp-prms): Don't depend on ../prms/Makefile.

Fri Mar 24 15:04:58 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* aclocal.m4 (AC_LISPDIR): Tweak quoting to work with bash.
	* configure: Regenerate.

Mon Feb 13 02:04:13 1995  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.sh: Be a little more elegant about how we set LOGNAME.

Sun Feb 12 22:59:44 1995  Brendan Kehoe  (brendan@cygnus.com)

	* configure.in: Only set PRMS_SITE and PRMS_ADDR if we aren't
	given environment variables with them set.
	* configure: Generated new one.

Fri Feb  3 12:10:35 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* send-pr.sh: Added missing ` (backquote) to expression used to
	  determine whether TMPDIR ends in a slash.

Tue Jan 31 10:48:39 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* send-pr.sh: Use REPLYTO instead of REPLY_TO.  Set REPLYTO to
	  LOGNAME if it is unset.

Fri Dec 30 16:52:40 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* Makefile.in (install-norm): Stop make from printing an error
	message of send-pr.elc does not exist.

Thu Oct  6 13:05:19 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr-el.in (prms::get-config): Go to point-min after running
	the shell command on the region.
	(send-pr::start-up): Likewise, after inserting the site template. 

	* send-pr.sh (TMPDIR): If TMPDIR ends in a slash, cut it off to
	avoid emacs send-pr not working.

Wed Oct  5 13:11:27 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr-el.in (send-pr::start-up): Call insert-template instead
	of running `send-pr -P' every time.
	(send-pr::template-alist): Declare.
	(send-pr::insert-template): New function.

	* send-pr-el.in (prms::get-config): Check get-buffer before using
	looking-at, since shell-command-on-region wipes it out if there's
	no output (which will be the case for variables not set in the
	config file).

	* send-pr-el.in (prms::find-safe-default-directory): New function.

Thu Sep 29 18:37:34 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* aclocal.m4 (AC_LISPDIR): Set LISPDIR using commas in the sed,
	not slashes.
	* configure: Generate a new one.

Tue Aug 30 13:55:22 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* aclocal.m4: Change from Jason, to try to use PREFIX on the
	LISPDIR if possible before going with /usr/local.

Mon Aug  1 11:31:47 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr-el.in (send-pr::start-up): Always start at the beginning
	of the buffer when searching for `^SEND-PR:'.

Sun Jul 17 19:13:17 1994  Jason Molenda  (crash@sendai.cygnus.com)

	* categories: add `dos' for real this time.

Wed May 11 15:46:48 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Delete install commands which attempt to
	  'chown' the script to user 'prms', who not exist in
	  the end-user's system.

Fri May  6 17:40:12 1994  Jason Molenda (crash@sendai.cygnus.com)

	* categories: add 'dos', 'gcov', 'gasp', and 'install'.

Thu Apr 21 12:55:52 1994  James Clark  (jjc@jclark.com)

	* send-pr.sh (ORGANIZATION): don't use quotes in the ${ORG-"\t$ORG_C"}
	thing.  It tickles a bug in bourne shell.

Wed Apr  6 17:16:28 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (prms::get-config): Use shell-command-on-region
	instead of shell-command.
	(send-pr::start-up): Ditto.

Wed Apr  6 17:14:36 1994  Cheryl Bien  (bien@aero.org)

	* send-pr.sh (ORIGINATOR): Use awk instead of cut.

Tue Mar 22 17:12:24 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh: DATADIR is under $(prefix), not $(exec_prefix).

Sat Jan 15 19:12:45 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* aclocal.m4 (AC_LISPDIR): Handle case where $(prefix) is not
	specified on the command line.

Mon Jan 10 17:21:33 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr:submit-pr): If called from command line,
	save buffer on C-c C-c.

	* send-pr.sh: Clean up template.

	* Makefile.in, configure.in: Don't use AC_PROG_INSTALL after all.

	* aclocal.m4 (AC_LISPDIR): Check for --with-lispdir option.

Fri Jan  7 11:43:02 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (prms:change-field): If not called interactively,
	just use the default value.

	* Makefile.in (uninstall): Fix.

	* configure.in: Add call to AC_PROG_INSTALL.

	* Makefile.in (INSTALL*): Use it.

	* send-pr.sh: Only modify PRMS_ADDR if USER_PRMS_SITE is different
	from PRMS_SITE.

	* send-pr-el.in (send-pr:submit-pr): If the user ran send-pr from the
	command line with $EDITOR == emacs, don't submit the PR here.
	(send-pr:::spawn-to-send): Variable to control this behavior.

Thu Jan  6 22:51:15 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr::fields): Default for Submitter-Id should
	be SUBMITTER, not DEFAULT_SUBMITTER.

	* aclocal.m4 (AC_PASSWD): New macro to figure out how to read the
	passwd database (cat, ypcat, niscat).

	* configure.in: Use it.

	* Makefile.in (PASSWD, send-pr): Use it.

	* send-pr.sh: Use it.

Fri Dec 10 11:48:44 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Version 3.2

Thu Dec  2 09:11:40 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (mostlyclean): Don't delete version.texi.
	(realclean): Do delete version.texi.

Tue Nov 30 15:37:59 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (install-prms-dist): Use send-pr.1 rather than
	send-pr.man.

Mon Nov 22 15:43:40 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (install-prms-dist): Make sure $(datadir)/prms/dist
	is writable by user prms.

Fri Nov 19 16:53:53 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (prms::emacs-19p): Avoid confusion wrt Epoch.

Fri Nov 12 16:27:00 1993  Jason Merrill  (jason@deneb.cygnus.com)

	Fri Nov 12 15:48:01 1993  "Jonathan I. Kamens" (jik@security.ov.com)

	* send-pr.sh: Deal with categories longer than 12 chars.

Wed Nov  3 12:22:22 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (install-tools): Always install Cygnus category list.
	(install-categories): Always install categories as 'cygnus'.

Tue Nov  2 21:43:12 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (prms:change-field): If not currently in a field,
	deal.
	(prms::current-field): Ditto.
	(prms::set-field): save-excursion.
	(prms::set-mail-field): Ditto.

Tue Nov  2 18:33:08 1993  Jeffrey Osier  (jeffrey@thepub.cygnus.com)

	* Makefile.in (send-pr.info): depends on other .texi files
	* *.texi:  more fixes to bring up to par

Mon Nov  1 10:05:10 1993  Jeffrey Osier  (jeffrey@thepub.cygnus.com)

        * prms/*.texi, send-pr/*.texi, prms/man/*.man:  up to date

Wed Oct 27 18:49:39 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (send-pr.info): Fix
	(send-pr.dvi): Fix

Wed Oct 27 14:14:12 1993  Jeffrey Osier (jeffrey@cygnus.com)

	* .Makefile.in: reflect new doc strategy
	* send-pr.texi, s-usage.texi, fields.texi, categ.texi, states.texi:
		The New Doc Strategy.  Some info is also included into
		the regular PRMS docs, so it's modular now.

Tue Oct 26 16:20:08 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr:submit-pr): Use the right site

	* Makefile.in (install-prms-dist): Lose the -o prms bunk.
	Change $PRMS_ROOT/prms-dist to $(datadir)/prms/dist

Wed Oct 20 18:09:20 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* configure.in (MAIL_AGENT): Also look in /usr/ucblib.

	* Makefile.in (uninstall): Don't use {}.

Tue Oct 19 14:06:56 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (send-pr.el): Subst in SUBMITTER.
	(install-prms-dist): Make it work.

	* send-pr.sh: On second thought, don't try to guess the FQDN at all.

	* send-pr.sh (HOSTNAME): Massage hosts where `hostname` does not
	produce the FQDN, but `hostname`.`domainname` does.

	* send-pr-el.in (send-pr:send-pr): On some Emacs 18ses,
	switch-to-buffer returns nil when it succeeds.  Ignore it.

Mon Oct 18 16:10:59 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh: Deal with echo -n / echo \c stuff,
	massage SunOS 4.1.3 sendmail.
	Fix $0/$COMMAND bug in awk script.

	* aclocal.m4: Create, with AC_FIND_PROGRAM and AC_ECHON.

	* Makefile.in (VPATH): Add def.
	(PRMS_ROOT, etc): Replace default values with @@ stuff.
	(CC, RANLIB): Give default (unused) values.
	(most targets): Change @@s to xxs.
	(send-pr): Subst in ECHON.
	(install-categories): Don't use -o.

Thu Oct 14 22:12:27 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh: Don't use 'eval' when calling MAIL_AGENT, as it
	breaks Ultrix sh and wasn't useful anyway.

Wed Oct 13 15:55:52 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh (PRMS_SITE): Move after config, subst in.

	* Makefile.in (MAIL_AGENT): Add definition.
	(SEND_PR_INSTALL): Dependencies of install.
	(send-pr): Subst in MAIL_AGENT.
	(install): Use SEND_PR_INSTALL.
	(install-norm): Don't install categories file.
	(install-categories): New target to install categories file.
	(install-prms-dist): Look for send-pr.texi in the right place.
	(stamp-prms): Deal with MAIL_AGENT and SEND_PR_INSTALL

Tue Oct 12 15:50:00 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (setenv): Define for old emacses

	Tue Oct 12 14:36:28 1993  JT Conklin  (conklin@talisman.kaleida.com)

	* send-pr.sh (COMMAND): Add missing quote.

Fri Oct  1 15:06:01 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (VERSION): Bump to 3.01.5

Tue Sep 28 13:35:45 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (install-prms-dist): Fix creation of send-pr-el.in

	* send-pr-el.in (send-pr::start-up): Clear cruft inserted by
	bdamaged .cshrc files

	* Makefile.in (send-pr.elc): New target
	(uninstall): Now does something

	* send-pr-el.in (prms::functionp): Fix ref to free var

Fri Sep 17 10:22:26 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* Makefile.in (install-prms): add missing backslash

Fri Sep 10 17:03:22 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (Makefile): Make it work with stamp-prms
	(DEFAULT_RELEASE): Make more general

Thu Sep  9 17:58:50 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in: Add appropriate defaults for reporting bugs to Cygnus
	Remove problem quotes
	Depend on ../install.sh

	* send-pr-el.in: Fix various Emacs 18 problems

Wed Sep  8 16:27:35 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (install-prms): Remove directory creation stuff
	(install-prms-dist): Ditto

	* send-pr-el.in (prms:change-field): Allow the caller to specify
	a default value [used by update-responsible].

Tue Sep  7 14:12:35 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (install-prms-dist): Unset submitter for prms-dist

	* send-pr.sh: Made install-sid message more explicit

Fri Sep  3 14:10:27 1993  Jason Merrill  (jason@deneb.cygnus.com)

   	* send-pr.sh: Change $LIBDIR to $DATADIR

	* send-pr-el.in (various): Replace libdir with datadir
	(send-pr::start-up): Support mail-self-blind
	(prms::mail-position-on-field): Create field if it's not there
	(prms:previous-field): Check for keyword before point first
	(prms::looking-after): Revert from (point-marker) to (point)

	* Makefile.in (stamp-prms): Depend on Makefile
	(send-pr.texi): sed(1) in version number and usage info so that
	clients only get single texi file.
	(various): Change $(libdir) to $(datadir)
	(install): Default to install-prms, since the rule checks for ../prms
	(stamp-prms): Replace install dependencies

	* send-pr.texi: Move to send-pr.texi.in, change version number to
	@VERSION@

Tue Aug 31 12:02:14 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr:submit-pr): Bury the right buffer.
	(send-pr::fields): Move all possible values and defaults
	into this monolithic table
	(send-pr::start-up): Replace all the querys with a mapcar over
	send-pr::fields
	(prms::competing-read-and-replace): Lose
	(prms::find-field): Lose
	(prms::position-on-field): Create
	(prms::mail-position-on-field): Create
	(prms::field-contents): Create
	(prms::functionp): Create
	(prms::field-values): Create
	(prms::field-default): Create
	(prms::field-type): Create
	(prms::field-action): Create
	(send-pr::maybe-change-field): Create
	(prms:change-field): Create, bind to ^C^F
	(prms::set-field): Create
	(prms::set-mail-field): Create
	(prms:beginning-of-field): Create
	(prms::current-field): Create
	(prms::after-keyword): Fix doc string
	(prms::patch-exec-path): Don't use send-pr::err-buffer-name
	(prms::get-value-from-shell): Ditto

Fri Aug 27 08:34:58 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (prms::*-keyword): Add grouping

	* send-pr.sh: Accommodate shells that don't support functions.

	* send-pr-el.in (send-pr:submit-pr): Fix behavior on send

Thu Aug 26 14:31:21 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr::set-sites): Use send-pr:libdir, not
	prms:libdir.
	(send-pr::start-up): Put buffer in send-pr-mode.
	(send-pr:submit-pr): Make sure err-buffer exists before trying to
	use it.
	(send-pr:send-pr-mode): Allow whitespace after keyword in
	paragraph-separate

	* send-pr.sh (MAIL_AGENT): Use /usr/lib/sendmail rather than /bin/mail
	(ORIGINATOR): remove $TEMP when done
	(die): New function to massage buggy Sun sh
	(EXIT_STATUS): New variable to massage buggy Sun sh
	Don't parse To: and CC: headers any more
	Check for failure of MAIL_AGENT	

Tue Aug 24 16:57:13 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr:libdir): Use @'s, be const
	(send-pr::categories): Remove
	(send-pr:::categories): Add (buffer-local)
	(send-pr::category-alist): Add
	(send-pr:::site): Add
	(send-pr::set-categories): Support multiple sites
	(send-pr::sites): Don't update without arg
	(send-pr::pr-buffer): Add -name to end, fix refs to use buffer
	(send-pr::err-buffer): Ditto
	(send-pr:send-pr): Always use site name, only ask about erasing
	report if it's been modified.
	(send-pr::start-up): Check for errors from send-pr -P
	Don't kill random buffers
	Remove useless progn
	(prms::completing-read-and-replace): Fix doc string
	(prms::set-variable-from-shell): Change to get-var...
	Check for errors

	* send-pr.sh (PRMS_ROOT): Put definition on newline so configure
	can find it
	Ask user whether or not to send the PR even if it's valid

Mon Aug 23 12:31:00 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (prms::releases): Use send-pr:default-release

	* send-pr.sh (LIBDIR): Try looking under GCC_EXEC_PREFIX for
	the prms stuff if it's not in the right place
	Move up TMPDIR stuff so the ORIGINATOR stuff can use $TEMP
	Remove 'g' from COMMAND sed pattern
	Remove 'p' from options list

	* send-pr.input: Fix C-u M-x send-pr description

Fri Aug 20 20:34:12 1993  Jason Merrill  (jason@rtl.cygnus.com)

	* send-pr.sh: Add long options, add -h, remove -p and -r

Thu Aug 19 14:59:24 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (prms::push): Move from prms-el.in

	* Makefile.in (send-pr.el): Subst in $(libdir) and $(PRMS_SITE)

	* send-pr-el.in (send-pr:default-site): Create
	(send-pr:send-pr): Ask for site name if arg
	(send-pr::start-up): Use site name if non-nil
	(send-pr::set-sites): Create list of known sites from listing of
	LIBDIR/prms

	* send-pr.sh (ORIGINATOR): Remove ''s around ^$LOGNAME
	Redirect stderr from ypcat to /dev/null
	Use $TEMP as a temp file to avoid quoting problems

	* Makefile.in (send-pr): Subst in $(SUBMITTER)
	(stamp-prms): Ditto

	* send-pr.sh (SUBMITTER): Get substed

	* send-pr-el.in (prms::get-config): Trim newline from echo output
	rather than using non-portable -n switch
	(send-pr:submit-pr): Indicate when send-pr is done

Wed Aug 18 15:14:22 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr-mode-map): Move setup into defvar
	Reorganize namespace (put some things under send-pr:, others
	under prms:)
	(send-pr:start-up): Use mail-default-reply-to
	(send-pr:submit-pr): If in a Server buffer, do server-buffer-done
	rather than spawning another send-pr.
	(prms::get-config): Add, use
	Juggle contents of send-pr.el and prms.el to avoid duplication
	and name clashing (like with prms-set-categories)
	(prms::set-variable-from-shell): kill the buffer when done

	* send-pr.sh: Don't complain about $SUBMITTER if using -f
	Fix typos

Tue Aug 17 19:31:27 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh: Don't loop if called from Emacs

Mon Aug 16 14:59:29 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* Makefile.in (send-pr.el): Substitute in PRMS_ROOT

	* send-pr-el.in (send-pr-start-up): Set $PRMS_ROOT to PRMS-ROOT
	Add definition of PRMS-ROOT

	* send-pr.sh: Use PRMS_ROOT in the environment

Fri Aug 13 12:00:16 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh: Fix grammar in send-pr template

	* install-sid.sh: Change grep -s to grep > /dev/null for greps
	that just don't shut up (i.e. POSIX)

Tue Aug 10 13:25:35 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr-el.in (send-pr-mode): Change paragraph-separate and
	paragraph-start to include "^>[-A-Za-z]:" (PR 3166)

Mon Aug  9 15:37:00 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh: Added >Fix: field (re PR 1310)
	If errors are found, allow user to edit PR again.
	Remove [ -z $FORCE ] since $FORCE appears nowhere else
	Add contents of CC: field to $PRMS_ADDR before sending (PR 2298)

Wed Aug  4 20:33:50 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* send-pr.sh: Snarf configuration from PRMS_ROOT/prms-adm/config
	if it exists.

	* install-sid.sh: Fixed startup so that calling with no arguments
	will print usage info and exit
	Added --version switch

Thu Jul 22 17:00:14 1993  Jason Merrill  (jason@wahini.cygnus.com)

	* Makefile.in (install-prms-dist): now depends on `info' target,
	installs send-pr.info* rather than just send-pr.info

Wed Jul 21 19:14:30 1993  Jason Merrill  (jason@wahini.cygnus.com)

	* Makefile.in (install-prms-dist): remove $(srcdir)/ before
	send-pr.info so other-dir installs work.

Tue May 18 21:45:45 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in: remove all traces of send_pr and install_cid

Fri Apr 30 08:42:33 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (check, installcheck): New, empty, targets.

Tue Apr 13 16:52:24 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (all-prms): Add rule, same as install-norm; hack for
	now to make top-level builds work that don't pass PRMS=foo down
	because they don't need all of PRMS.

Wed Apr  7 13:41:04 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.sh (ORGANIZATION): If they don't have an ORGANIZATION
	environment variable, then try for DEFAULT_ORGANIZATION, then
	$HOME/.organization, before going for their .signature.  

	* Makefile.in (install-sid): Use `tmp-inst-sid' instead of
	`tmp-install-sid' to avoid filename length limits.
	(DEFAULT_ORGANIZATION): New variable.
	(send-pr): Substitute it.
	(stamp-prms): Substitute DEFAULT_ORGANIZATION in.

Tue Mar 30 16:00:01 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.sh (PRINT_INTERN): Add missing `$'.

Mon Mar 29 16:46:22 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* install-sid.sh (traps): Add them in.

Thu Mar 25 17:01:43 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.sh (ORIGINATOR): Look in the NIS maps if they've got
	them.  In any case, strip off anything following a comma, since
	they might have phone nos or other info.

Wed Mar 24 17:56:15 1993  david d `zoo' zuhn  (zoo at poseidon.cygnus.com)

	* Makefile.in: define MAKEINFO, define & use TEXI2DVI

Fri Mar 19 17:44:01 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr-el.in (send-pr-start-up): Check that send-pr-mode worked
	(aka, running send-pr worked).
	(send-pr-mode): Make sure the category list was set.
	(prms-set-variable-from-shell): Instead of using a temp buffer,
	refuse to continue if send-pr couldn't give us a valid categories
	list.  This will change when the send-pr and prms elisp stuff are
	rationalized properly.

	* send-pr.sh (editing the PR): Use EDIT, not EDITOR.
	(SUBMITTER unknown): Fix the message.

Mon Mar 15 14:31:58 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.sh (FROM, REPLY_TO): Check for LOGNAME then USER.

Sat Mar  6 15:26:37 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.elisp: Rename to send-pr-el.in.
	* Makefile.in: Do so throughout.

	* Makefile.in (clean): Also delete send-pr.elc.

Thu Mar  4 11:35:29 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.sh (TMPDIR): Wrap with quotes in the test for it not
	being set.

Thu Mar  4 09:58:31 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (install-info): New target.

	* Makefile.in (install): Ignore error from chown.  Get categories
	file from $(srcdir).

Wed Mar  3 07:43:07 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (send-pr.info): Added -I$(srcdir).

Sat Feb 27 22:46:09 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (install): Use $(PRMS).
	(install-norm): Most of the install rule.
	(install-prms-dist): The rest of it.
	(install-tools): New rule, just run install-norm.
	(install-prms): The default, run both install-norma nd
	install-prms-dist.

Wed Feb 24 17:19:57 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.in->send-pr.input:  so it's not erased with make clean

Tue Feb 23 15:40:14 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (install): Change ownership of files installed to prms.

Tue Feb 23 15:30:01 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.texi:  use send-pr.in

	* send-pr.in:  New file (included by send-pr.texi and prms.texi)

Tue Feb 23 10:45:34 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (install): Chown $(libdir)/prms to prms.

Mon Feb 22 13:26:18 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (install): Install send-pr.1.

	* Makefile.in (install): Drop in the things for prms-dist.

Mon Feb 22 01:45:16 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.man:  semi-major cleanup effort.. now in beta

Mon Feb 22 01:22:48 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* INSTALL:  now in beta

Sun Feb 21 23:25:49 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (install): Create the parent of lispdir first.

Sun Feb 21 17:07:56 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.texi:  more minor tweaking, added portability note
	* send-pr.man:   ditto

Sun Feb 21 16:11:08 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.texi:  minor install cleanup
	* MANIFEST:  New file.
	* INSTALL:   New file.
	* README:    Major revision.

Sat Feb 20 23:47:02 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.texi:  added new alias info

Sat Feb 20 20:46:23 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* send-pr.sh: Set `From:' and `Reply-To:'.

	* Makefile.in (send-pr): Depend upon Makefile, to catch variable
	changes.
	(install-sid, send-pr.el, send-pr.1): Likewise.

	* install-sid.sh: Copy TMP into the send-pr script, so we don't
	break the link we made to send_pr.

	* send-pr.sh: Given an argument, send to the alias `foo-prms'.

	* Makefile.in (clean): Also remove stamp-prms.

Sat Feb 20 19:15:00 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.texi:  recent update, removed installation information
	  and added a line regarding (autoload) for Emacs version
	* send-pr.info:  same update

Sat Feb 20 18:44:09 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (prms-build): Changed to depend upon stamp-prms.
	(stamp-prms): New rule, with body of what was in prms-build.

Sat Feb 20 18:37:33 1993  Jeffrey Osier  (jeffrey@fowanton.cygnus.com)

	* send-pr.texi:  added install information
	* send-pr.info:  New file.

Sat Feb 20 14:16:56 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Initial entry for PRMS 3.0.


Local Variables:
mode: indented-text
left-margin: 8
fill-column: 74
version-control: never
End:
